# Update a project-level ingress (returns the full project) Source: https://docs.orchard.hackclub.com/api/operations/projects_ingresses_update/ `PUT /apiv1/projects/{id}/ingresses/{ingressId}` Operation ID: `projects_ingresses_update` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | | `ingressId` | path | Yes | | ## Request body ```json { "properties": { "basicAuth": { "properties": { "enabled": { "type": "boolean" }, "password": { "type": "string" }, "username": { "type": "string" } }, "required": [ "enabled" ], "type": "object" }, "host": { "type": "string" }, "routes": { "items": { "properties": { "path": { "type": "string" }, "serviceName": { "type": "string" }, "servicePort": { "type": "integer" } }, "required": [ "path", "serviceName", "servicePort" ], "type": "object" }, "type": "array" }, "tlsEnabled": { "type": "boolean" } }, "required": [ "host", "routes" ], "type": "object" } ``` ## Responses ### 200: OK